## org.gjt.sp.jedit.input
Class DefaultInputHandlerProvider

    java.lang.Object
      org.gjt.sp.jedit.input.DefaultInputHandlerProvider

All Implemented Interfaces:
  InputHandlerProvider

    public class DefaultInputHandlerProvider

extends java.lang.Object
implements InputHandlerProvider

This class provide the input handler used by the textarea.

Constructor Summary
`DefaultInputHandlerProvider(AbstractInputHandler inputHandler)`

Method Summary
`AbstractInputHandler` `getInputHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInputHandlerProvider

    public DefaultInputHandlerProvider(AbstractInputHandler inputHandler)

Method Detail

### getInputHandler

    public AbstractInputHandler getInputHandler()

  Specified by:
    `getInputHandler` in interface `InputHandlerProvider`